#
# File: rsbac/adf/reg/Makefile
#
# Makefile for the Linux rsbac REG / registration of decision modules
#
# Author and (c) 1999-2001 Amon Ott
#

O_TARGET := reg.o
M_OBJS   :=

ifeq ($(PATCHLEVEL),2)

OX_OBJS  := reg_main.o
ifeq ($(CONFIG_RSBAC_REG_SAMPLES),y)
M_OBJS   += reg_sample1.o reg_sample2.o reg_sample3.o
endif

else

obj-y  := reg_main.o
export-objs := reg_main.o
ifeq ($(CONFIG_RSBAC_REG_SAMPLES),y)
obj-m    += reg_sample1.o reg_sample2.o reg_sample3.o
endif

endif

include $(TOPDIR)/Rules.make
